| Kea 3.0.2-git

control_socket.h File Reference

Contains declarations for control socket communication. More...

`#include <exceptions/exceptions.h>`
`#include <netconf/netconf_config.h>`
Include dependency graph for control_socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::netconf::ControlSocketBase
| Base class for control socket communication. More...
class | isc::netconf::ControlSocketError
| Exception thrown when the error during communication. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::netconf

## Typedefs
using | isc::netconf::ControlSocketBasePtr = std::shared_ptr<ControlSocketBase>
| Type definition for the pointer to the `ControlSocketBase`.

## Functions
ControlSocketBasePtr | isc::netconf::controlSocketFactory (CfgControlSocketPtr ctrl_sock)
| Factory function for control sockets.
template<CfgControlSocket::Type TYPE>
ControlSocketBasePtr | isc::netconf::createControlSocket (CfgControlSocketPtr ctrl_sock)
| Factory template for control sockets.

## Detailed Description

Contains declarations for control socket communication.

Definition in file control_socket.h.